/* ----------------- */
/* --- VARIABLES --- */
/* ----------------- */

:root {
    --header-height: 144px;
    --main-color: #661773;
    --second-color: #9c59a9;
    --border-radius: 20px;
    --fast-transition: .25s;
    --slow-transition: .7s;
    --img-shadow: 0 2px 8px rgb(0 0 0 / .15);
}

/* ------------- */
/* --- FONTS --- */
/* ------------- */

@font-face {
    font-family: "Poppins";
    src: url('/assets/fonts/Poppins-Regular.woff2') format('woff2');
    font-weight: normal;
    font-display: block;
}

@font-face {
    font-family: "Poppins";
    src: url('/assets/fonts/Poppins-Bold.woff2') format('woff2');
    font-weight: bold;
    font-display: block;
}

@font-face {
    font-family: "Allura";
    src: url('/assets/fonts/Allura-Regular.woff2') format('woff2');
    font-weight: normal;
    font-display: block;
}

/* ------------- */
/* --- RESET --- */
/* ------------- */

body,
html {
    scroll-behavior: smooth;
    background-color: white;
    padding: 0;
    margin: 0;
}

* {
    box-sizing: border-box;
    font-family: "Poppins", Arial, sans-serif;
    letter-spacing: 0.4px;
}

a {
    text-decoration: none;
}

img {
    display: block;
    max-width: 100%;
}

button {
    font: inherit;
}

input,
textarea,
select {
    font: inherit;
}

/* ------------- */
/* --- CLASS --- */
/* ------------- */

body.menu-open {
    overflow: hidden;
}

.max-width {
    max-width: 1400px;
    display: block;
    margin: 0 auto;
    padding-inline: 20px;
}

.ancres {
    scroll-margin-top: var(--header-height);
}

.resizing #header-bottom-menu,
.resizing #menu-overlay {
    transition: none !important;
}

.icon {
    display: inline-block;
    width: 24px;
    height: 24px;
    fill: currentColor;
}

.icon-17 {
    width: 17px;
    height: 17px;
}

.icon-26 {
    width: 26px;
    height: 26px;
}

.icon-34 {
    width: 34px;
    height: 34px;
}

.icon-40 {
    width: 40px;
    height: 40px;
}

.video-container {
    width: 100%;
    height: calc(100svh - var(--header-height));
    max-height: 1000px;
    min-height: 450px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    border-bottom: 2px solid var(--main-color);
}

.video-shadow {
    width: 100%;
    height: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 3;
}

.video-video {
    position: relative;
    display: block;
    width: auto;
    min-width: 100%;
    margin: 0 auto;
    min-height: calc(100svh - var(--header-height));
    left: 50%;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
}

.video-txt {
    width: 750px;
    max-width: calc(100% - 40px);
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    z-index: 5;
}

.video-txt :is(h1, h2, h3, h4, h5, h6) {
    font-family: "Allura";
    color: white;
    letter-spacing: 1.5px;
    text-shadow: 0px 0px 2px black;
    margin: 0 auto 30px;
    padding: 0;
}

.video-txt>p {
    color: white;
    letter-spacing: 1.5px;
    text-shadow: 0px 0px 2px black;
}

.container {
    width: 100%;
    padding: 70px 0 110px;
    border-bottom: 2px solid var(--main-color);
}

#les-fromages-de-chevres {
    border: none !important;
}

.container-gray {
    background-color: rgb(0, 0, 0, 0.07);
    border-bottom: 2px solid var(--main-color);
}

.container-txt {
    display: block;
    margin: 0 auto;
    width: 850px;
    max-width: 100%;
    text-align: center;
}

.container-txt-bottom {
    display: block;
    margin: 70px auto 0 !important;
    width: 850px;
    max-width: 100%;
    text-align: center;
}

.container-txt h1,
.container-txt h2 {
    font-family: "Allura";
    padding: 0;
    margin: 0;
    color: var(--main-color);
}

.container-txt h3 {
    color: var(--main-color);
    font-size: 20px;
    letter-spacing: 1.5px;
}

.container-txt h1::after,
.container-txt h2::after {
    content: '';
    display: block;
    width: 250px;
    height: 2px;
    background-color: var(--second-color);
    margin: 30px auto;
}

.container-txt>img {
    margin: 0 auto 30px;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    box-shadow: var(--img-shadow);
}

.container-txt p {
    color: var(--main-color);
    letter-spacing: 1.5px;
}

.container-txt p+p {
    margin-top: 1.5em;
}

.container-txt p a {
    color: var(--main-color);
    transition: var(--fast-transition);
}

.container-txt p a:hover {
    opacity: .75;
}

.btn-a {
    margin-top: 20px;
    display: inline-flex;
    padding: 15px 30px;
    background-color: var(--main-color);
    color: white;
    border-radius: var(--border-radius);
    font-size: 12px;
    text-transform: uppercase;
    font-weight: bold;
    transition: background-color var(--slow-transition);
    letter-spacing: 1.5px;
    align-items: center;
}

.btn-a:hover {
    background-color: var(--second-color);
}

.btn-a>img {
    width: 17px;

}

.btn-a>span {
    margin-left: 10px;
}

.animate {
    opacity: 0;
    transform: translateY(15px) scale(.98);
    transition:
        opacity var(--slow-transition) ease,
        transform var(--slow-transition) ease;
}

.animate.visible {
    opacity: 1;
    transform: translateY(0) scale(1);
}

.gallery {
    display: grid;
    gap: 20px;
    grid-auto-flow: dense;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    margin-top: 70px;
}

.gallery>img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: var(--border-radius);
    box-shadow: var(--img-shadow);
}

.gallery .large {
    grid-column: span 2;
    grid-row: span 1;
}

.gallery .tall {
    grid-column: span 1;
    grid-row: span 2;
    min-height: 620px;
}

.stars {
    font-size: 17px;
    letter-spacing: 2px;
    color: #F5B301;
    display: block !important;
}

/* --------------- */
/* --- @MOBILE --- */
/* --------------- */

@media all and (max-width:699px) and (min-width:0px) {
    :root {
        --header-height: 104px;
        --header-bottom-height: 60px;
    }

    .video-txt :is(h1, h2, h3, h4, h5, h6) {
        line-height: 40px;
        font-size: 40px;
        max-width: 500px;
    }

    .video-txt>p {
        font-size: 14px;
    }

    .container-txt h2,
    .container-txt h1 {
        line-height: 40px;
        font-size: 40px;
    }

    .container-txt p {
        font-size: 14px;
    }

    .gallery .large,
    .gallery .tall {
        grid-column: span 1 !important;
        grid-row: span 1 !important;
        min-height: 0 !important;
    }

    #header-top-infos a>span {
        display: none;
    }

    #header-bottom>div {
        height: var(--header-bottom-height);
    }

    #header-bottom-logo>div {
        width: 90px;
        height: 90px;
    }

    #header-bottom-menu-mobile>div>div {
        height: var(--header-bottom-height);
    }

    #header-bottom-menu-mobile>div>div>button {
        height: var(--header-bottom-height);
    }

    #header-bottom-menu>ul {
        grid-template-columns: repeat(2, minmax(0, 1fr));
        padding: 70px 0 40px;
    }

    #header-bottom-menu>ul>li:nth-child(2n+2) {
        margin-right: 20px;
    }

    #footer-top {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }

    #footer-top>div ul {
        width: calc(100% - 40px);
        display: flex;
        flex-direction: column;
    }

    #footer-top>div:last-child {
        margin-top: 50px;
    }

    #footer-top>div:last-child ul {
        align-items: center;
    }
}

/* ------------------------- */
/* --- @MOBILE & @TABLET--- */
/* ------------------------- */

@media all and (max-width:1099px) and (min-width:0px) {

    #menu-overlay {
        position: fixed;
        inset: 0;
        background: rgb(0 0 0 / 0.6);

        opacity: 0;
        visibility: hidden;
        pointer-events: none;

        transition:
            opacity var(--fast-transition) ease,
            visibility 0s linear var(--fast-transition);

        z-index: 90;
    }

    #menu-overlay.is-open {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;

        transition:
            opacity var(--fast-transition) ease,
            visibility 0s;
    }

    #header-bottom-menu {
        position: fixed;
        top: var(--header-height);
        left: 0;
        width: 100%;
        height: auto;
        max-height: calc(100dvh - var(--header-height));

        overflow-y: auto;
        background-color: var(--main-color);
        border-bottom: 2px solid white;

        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transform: translateY(10px);

        transition:
            opacity var(--fast-transition) ease,
            transform var(--fast-transition) ease,
            visibility 0s linear var(--fast-transition);
    }

    #header-bottom-menu>ul {
        min-height: 100%;
        display: grid;
        align-content: start;
        gap: 20px 0;
        margin: 0;
    }

    #header-bottom-menu>ul>li:nth-child(1n+1) {
        margin-left: 20px;
    }

    #footer-top>div {
        width: 100%;
        display: flex;
        justify-content: center;
        margin-top: 30px;
    }
}

/* --------------- */
/* --- @TABLET --- */
/* --------------- */

@media all and (max-width:1099px) and (min-width:700px) {
    :root {
        --header-height: 134px;
        --header-bottom-height: 90px;
    }

    .video-txt>p {
        font-size: 16px;
    }

    #header-top-infos a:first-child>span {
        display: none;
    }

    #header-bottom>div {
        height: var(--header-bottom-height);
    }

    #header-bottom-logo>div {
        width: 130px;
        height: 130px;
    }

    #header-bottom-menu-mobile>div>div {
        height: var(--header-bottom-height);
    }

    #header-bottom-menu-mobile>div>div>button {
        height: var(--header-bottom-height);
    }

    #header-bottom-menu>ul {
        grid-template-columns: repeat(3, minmax(0, 1fr));
        padding: 90px 0 40px;
    }

    #header-bottom-menu>ul>li:nth-child(3n+3) {
        margin-right: 20px;
    }

    #footer-top {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    #footer-top>div ul {
        width: calc(100% - 20px);
        display: flex;
        flex-direction: column;
    }

    #footer-top>div:last-child {
        grid-column: span 2;
        margin-top: 50px;
    }

    #footer-top>div:last-child ul {
        display: flex;
        gap: 20px;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    #footer-top>div:last-child li:first-child {
        margin: 0 !important;
    }

    #footer-bottom {
        display: flex;
        justify-content: space-between;
    }
}

/* ------------------------- */
/* --- @TABLET & @DESKTOP--- */
/* ------------------------- */

@media all and (min-width:700px) {
    .video-txt :is(h1, h2, h3, h4, h5, h6) {
        line-height: 50px;
        font-size: 60px;
        max-width: 700px;
    }

    .container-txt h2,
    .container-txt h1 {
        line-height: 50px;
        font-size: 50px;
    }
}

/* ---------------- */
/* --- @DESKTOP --- */
/* ---------------- */

@media all and (min-width:1100px) {

    #header-top-infos> :first-child {
        margin-right: auto;
    }

    #header-top-infos> :first-child span {
        margin-right: 5px;
    }

    #header-top-infos> :first-child img {
        margin-inline: 1px;
    }

    #header-top-infos>span {
        margin: 0 20px;
        cursor: default;
    }

    .video-txt>p {
        font-size: 16px;
    }

    .container-txt p {
        font-size: 16px;
    }

    #header-top-infos>span:nth-child(2) {
        display: none;
    }

    #header-bottom>div {
        height: 100px;
    }

    #header-bottom-logo>div {
        width: 150px;
        height: 150px;
    }

    #menu-overlay {
        display: none;
    }

    #header-bottom-menu>ul {
        display: flex;
        padding: 0;
        margin: 0;
    }

    #header-bottom-menu>ul>li {
        margin-left: 10px;
    }

    #header-bottom-menu-mobile {
        display: none;
    }

    #header-bottom-menu>ul>li>a {
        height: 100px;
    }

    #footer-top {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    #footer-top>div:last-child {
        display: flex;
        justify-content: end;
    }

    #footer-bottom {
        display: flex;
        justify-content: space-between;
    }
}

@media (prefers-reduced-motion: reduce) {
    .animate {
        opacity: 1;
        transform: none;
        transition: none;
    }
}

/* -------------- */
/* --- HEADER --- */
/* -------------- */

header {
    width: 100%;
    position: sticky;
    top: 0;
    z-index: 100;
}

#header-top {
    background-color: white;
}

#header-top-infos {
    height: 42px;
    display: flex;
    align-items: center;
    color: var(--main-color);
    justify-content: space-between;
}

#header-top-infos a {
    color: var(--main-color);
    font-size: 14px;
    transition: var(--fast-transition);
    display: flex;
    align-items: center;
}

#header-top-infos a:hover {
    opacity: .75;
}

#header-top-infos a>img {
    width: 16px;
    margin-right: 5px;
}

#header-top-infos a>svg {
    color: var(--main-color);
    margin-right: 5px;
}

#header-bottom {
    background-color: var(--main-color);
    width: 100%;
    border-bottom: 2px solid white;
}

#header-bottom>div {
    display: flex;
    justify-content: space-between;
    position: relative;
}

#header-bottom-logo>div {
    position: absolute;
    top: 100%;
    transform: translateY(-50%);
    border-radius: 50%;
    background: white;
    box-sizing: content-box;
    border: 2px solid var(--main-color);
    outline: 2px solid white;
    z-index: 10;
    overflow: hidden;
}

#header-bottom-logo div>a>img {
    width: 100%;
    height: 100%;
}

#header-bottom-menu-mobile>div>div {
    width: auto;
    text-align: center;
    transition: background-color var(--slow-transition);
}

#header-bottom-menu-mobile>div>div>button {
    display: flex;
    align-content: center;
    align-items: center;
    color: white;
    font-weight: bold;
    font-size: 12px;
    text-align: center;
    padding: 0 10px;
    text-transform: uppercase;
    background: none;
    border: none;
}

#header-bottom-menu>ul>li {
    width: auto;
    list-style-type: none;
    transition: background-color var(--slow-transition);
}

#header-bottom-menu>ul>li:hover {
    background-color: var(--second-color);
}

#header-bottom-menu>ul>li>a {
    align-content: center;
    color: white;
    font-weight: bold;
    font-size: 12px;
    display: block;
    text-align: center;
    padding: 0 20px;
    text-transform: uppercase;
    height: 100px;
}

#header-bottom-menu li.active {
    background-color: var(--second-color);
}

#header-bottom-menu.is-open {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translateY(0);

    transition:
        opacity 0var(--fast-transition) ease,
        transform 0var(--fast-transition) ease,
        visibility 0s;
}

#header-bottom-menu-mobile>div>div>button>span,
#header-bottom-menu>ul>li>a>span {
    margin: 0 auto;
    display: block;
}

#menu-btn>span {
    width: 34px;
    height: 34px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#header-bottom-menu>ul>li>a>svg {
    margin-bottom: 2px;
}

#menu-btn .icon-close {
    display: none;
}

#menu-btn.is-open .icon-menu {
    display: none;
}

#menu-btn.is-open .icon-close {
    display: block;
}

/* -------------------- */
/* --- LES FROMAGES --- */
/* -------------------- */

#les-fromages-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px 20px;
    margin-top: 70px;
}

#les-fromages-list figure {
    width: 100%;
    height: 100%;
    margin: 0;
    text-align: center;
    display: flex;
    flex-direction: column;
    background-color: var(--main-color);
    border-radius: var(--border-radius);
    box-shadow: var(--img-shadow);
}

#les-fromages-list img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: var(--border-radius) var(--border-radius) 0 0;
}

#les-fromages-list figcaption {
    border-top: 2px solid white;
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 14px;
    cursor: default;
    letter-spacing: 1px;
    padding: 15px 20px;
    font-weight: bold;
}

/* --------------- */
/* ---  FOOTER --- */
/* --------------- */

footer {
    width: 100%;
    background-color: var(--main-color);
    border-top: 2px solid var(--second-color);
}

footer a {
    transition: var(--fast-transition);
}

footer a:hover{
    opacity: .75;
}

#footer-top {
    display: grid;
    padding: 70px 0 70px;
}

#footer-top>div ul {
    padding: 0;
    margin: 0;
}

#footer-top>div ul li {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: block;
}

#footer-top>div ul li a,
#footer-top>div ul li span {
    display: inline-flex;
    align-items: center;
    color: white;
    font-size: 14px;
}

#footer-top>div ul li svg {
    margin-right: 10px;
}

#footer-top ul li span b {
    margin-bottom: 10px;
    font-size: 16px;
}

#footer-top>div:last-child li:first-child {
    margin-bottom: 10px;
}

#footer-top>div:last-child img {
    width: auto;
    height: 50px;
    background-color: white;
    border-radius: var(--border-radius);
    padding: 5px;
    margin-right: 0;
}

#footer-bottom {
    border-top: 2px solid white;
    padding: 15px 0 70px;
    text-align: center;
    color: white;
    font-size: 14px;
}

#footer-bottom a {
    color: white;
}

/* ---------------- */
/* --- BACK TOP --- */
/* ---------------- */

#back-to-top {
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: var(--main-color);
    color: white;
    text-decoration: none;
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    transition: all .3s ease;
    z-index: 10;
    border: 2px solid white;
}

.scrolled #back-to-top {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}